* {
  padding: 0;
  margin: 0;
}
  
body {
   font-family: 'Poppins', sans-serif;
  background-color: white;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}
  
  
/*
  AppBar
*/
  
.app-bar {
  padding: 8px 16px;
  background-color: #ff6701;
  display: grid;
  grid-template-columns: auto 1fr auto;
  gap: 10px;
  position: sticky;
  top: 0;
  z-index: 99;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
}
  
.app-bar .app-bar__menu {
  display: flex;
  align-items: center;
}
  
.app-bar .app-bar__menu button {
  background-color: transparent;
  border: none;
  font-size: 32px;
  color: #ffff;
  padding: 8px;
  cursor: pointer;
}
  
.app-bar .app-bar__brand {
  display: flex;
  align-items: center;
}
  
.app-bar .app-bar__brand h1 {
  color: #ffff;
  text-transform: uppercase;
  font-size: 22px;
  user-select: none;
}
  
.app-bar .app-bar__navigation {
  position: absolute;
  top: 50px;
  left: -180px;
  width: 150px;
  transition: all 0.3s;
  padding: 8px;
  background-color: #ff6701;
  overflow: hidden;
}
  
.app-bar .app-bar__navigation.open {
  left: 0;
}
  
.app-bar .app-bar__navigation ul li a {
  display: inline-block;
  text-decoration: none;
  color: #ffff;
  padding: 8px;
  font-size: 19px;
  margin-bottom: 5px;
  width: 100%;
}


/*
* Jumbotron
*/

.hero {
display: flex;
align-items: center;
min-height: 380px;
width: 100%;
text-align: center;
background-image: url("/images/hero-image_4-1600.jpg");
background-position: center;
background-color: #ff6701;
}

.hero__inner {
margin: 0 auto;
max-width: 800px;
}

.hero__title {
color: #fff;
font-weight: 500;
font-size: 36px;
}

.hero__tagline {
color: #fff;
margin-top: 16px;
font-size: 18px;
font-weight: 300;
}

  
/*
  Main Content
*/
  
main {
  padding: 32px;
  flex: 1;
}
  
.content {
  margin: 0 auto;
  min-height: 100%;
}
  
.content .content__heading {
  font-weight: normal;
}
  
  
/*
  restaurants
*/
  
.restaurants {
  display: grid;
  grid-template-columns: 1fr;
  gap: 16px;
  margin: 32px 0;
}
  
  
/*
  restaurants Item
*/
  
.restaurant-item {
  width: 100%;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  border-radius: 8px;
  overflow: hidden;
}
  
.restaurant-item__header {
  position: relative;
}
  
.restaurant-item .restaurant-item__header .restaurant-item__header__poster {
  width: 100%;
}
  
.restaurant-item .restaurant-item__header .restaurant-item__header__rating {
  position: absolute;
  padding: 8px;
  bottom: 20px;
  left: 0;
  display: inline-block;
  background-color: #ff6701;
  color: white;
}
  
.restaurant-item .restaurant-item__header .restaurant-item__header__rating .restaurant-item__header__rating__score {
  margin-left: 10px;
}
  
.restaurant-item .restaurant-item__content {
  padding: 16px;
}
  
.restaurant-item .restaurant-item__content h3 {
  margin: 0 0 10px 0;
}
  
.restaurant-item .restaurant-item__content h3 a {
  color: #ff6701;
  text-decoration: none;
  display: inline-block;
  font-size: 30px;
}

.restaurant-item .restaurant-item__city{
  color: #6e6c6c;
  font-size: 10px;
}
  
.restaurant-item .restaurant-item__content p {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 4; /* number of lines to show */
  -webkit-box-orient: vertical;
}
  
  
/*
  restaurant detail
*/
  
.restaurant {
  margin: 0 auto;
  width: 100%;
  max-width: 800px;
  display: grid;
  grid-template-columns: 1fr;
  gap: 18px 16px;
}
  
.restaurant .restaurant__poster {
  width: 100%;
  max-width: 400px;
}
  
.restaurant .restaurant__info h4 {
  margin: 8px 0;
}

.review-title{
margin-bottom: 50px;
}


.review-container {
  display: grid;
  grid-template-columns: 60px auto;
  gap: 20px;
  padding: 0;
  margin-bottom: 20px;
}

.review-body {
  width: 100%;
  overflow: hidden;
}

.review-photo-profile img {
  width: 60px;
  height: 60px;
  border-radius: 50%;
}

.review-consumer-name {
  margin-top: 0;
  margin-bottom: 3px;
  font-size: 16px;
  color: #222121;
  text-transform: capitalize;
}


.review-date-post {
  color: #6e6c6c;
  font-size: 10px;
}

.review-content {
  margin-top: 5px;
  color: #575454;
  font-size: 14px;
}

/*
Footer
*/

footer {
background-color: #ff6701;
padding: 16px;
}

footer p {
text-align: center;
color: #ffff;
}


/*
Like
*/
.like {
font-size: 18px;
position: fixed;
bottom: 16px;
right: 16px;
background-color: #ff6701;
color: white;
border: 0;
border-radius: 50%;
width: 55px;
height: 55px;
cursor: pointer;
display: flex;
align-items: center;
justify-content: center;
}

/* 
skip content
*/
.skip-link {
  position: absolute;
  top: -50px;
  left: 0;
  background-color: #bf1722;
  color: white;
  padding: 8px;
  z-index: 100;
  text-decoration: none;
}

.skip-link:focus {
  top: 150px;
}

/* loading */
.page-loader {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(50%, 50%);
  width: 50px;
  height: 50px;
  border-radius: 100%;
  border: 5px solid #dadada;
  border-top-color: #d95821;
  z-index: 99;
  animation: spin 1s linear infinite;

}

 /* FORM */
 input[type=text]{
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

.btn-submit {
  width: 100%;
  background-color: #ff6701;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.btn-submit:hover {
  background-color: #913f09;
}

.form-review {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 20px;
}


/*loading*/
.loader-css{
  text-align: center;
}
.lds-roller {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-roller div {
  animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  transform-origin: 40px 40px;
}
.lds-roller div:after {
  content: " ";
  display: block;
  position: absolute;
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background: #ff6701;
  margin: -4px 0 0 -4px;
}
.lds-roller div:nth-child(1) {
  animation-delay: -0.036s;
}
.lds-roller div:nth-child(1):after {
  top: 63px;
  left: 63px;
}
.lds-roller div:nth-child(2) {
  animation-delay: -0.072s;
}
.lds-roller div:nth-child(2):after {
  top: 68px;
  left: 56px;
}
.lds-roller div:nth-child(3) {
  animation-delay: -0.108s;
}
.lds-roller div:nth-child(3):after {
  top: 71px;
  left: 48px;
}
.lds-roller div:nth-child(4) {
  animation-delay: -0.144s;
}
.lds-roller div:nth-child(4):after {
  top: 72px;
  left: 40px;
}
.lds-roller div:nth-child(5) {
  animation-delay: -0.18s;
}
.lds-roller div:nth-child(5):after {
  top: 71px;
  left: 32px;
}
.lds-roller div:nth-child(6) {
  animation-delay: -0.216s;
}
.lds-roller div:nth-child(6):after {
  top: 68px;
  left: 24px;
}
.lds-roller div:nth-child(7) {
  animation-delay: -0.252s;
}
.lds-roller div:nth-child(7):after {
  top: 63px;
  left: 17px;
}
.lds-roller div:nth-child(8) {
  animation-delay: -0.288s;
}
.lds-roller div:nth-child(8):after {
  top: 56px;
  left: 12px;
}
@keyframes lds-roller {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
